<?php

    /*******************************************************************\
    |                                                                   |
    |   房开源（综合房产ERP管理系统）                                   |
    |                                                                   |
    |   © 2019-2023 http://www.kaidandashi.com/ All rights reserved.    |
    |                                                                   |
    |   本系统由淮南市银泰软件科技有限公司提供技术支持                  |
    |                                                                   |
    |   QQ号：984784483                                                 |
    |                                                                   |
    \*******************************************************************/

    namespace Admin\Controller;
    use Think\Controller;
    class CommonController extends Controller {
        Public function _initialize(){
            if (session('gongsiid') == "") {
                $this->redirect('Login/index');
            }
            /* 读取数据库中的配置 */
            $config =   S('DB_CONFIG_DATA');
            if(!$config){
                $config = lists();
                S('DB_CONFIG_DATA',$config);
            }
            C($config); //添加配置
            $browsertype=getBrowser();
            if (!isset($_SESSION[C('USER_AUTH_KEY')])) {
                $this->redirect('Login/index');
            }
            $access = \Org\Util\Rbac::AccessDecision();
            if(!$access){
               $this->error('你没有权限',1,'index/index');
            }
            $this->jcpz=M('jcpz')->where(array('gongsiid'=>session('gongsiid')))->find();
        }
    }
?>